GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::UpdateTab Class Reference

Class containing the main tab of about dialog. More...

`#include <AboutDialog.h>`

Inheritance diagram for GpgFrontend::UI::UpdateTab:
Collaboration diagram for GpgFrontend::UI::UpdateTab:

## Signals
void | SignalReplyFromUpdateServer (QByteArray data)

## Public Member Functions
| UpdateTab (QWidget *parent=nullptr)
| Construct a new Update Tab object. More...
void | getLatestVersion ()
| Get the Latest Version object.

## Private Slots
void | slot_show_version_status (const SoftwareVersion &version)

## Private Attributes
QLabel * | current_version_label_
QLabel * | latest_version_label_
QLabel * | upgrade_label_
QProgressBar * | pb_
QString | current_version_

## Detailed Description

Class containing the main tab of about dialog.

## Constructor & Destructor Documentation

## ◆ UpdateTab()

GpgFrontend::UI::UpdateTab::UpdateTab | ( | QWidget * | parent = `nullptr` | ) |
| explicit

Construct a new Update Tab object.

Parameters

  parent |

## Member Function Documentation

## ◆ SignalReplyFromUpdateServer

void GpgFrontend::UI::UpdateTab::SignalReplyFromUpdateServer | ( | QByteArray | data | ) |
| signal

Parameters

  data |

## ◆ slot_show_version_status

void GpgFrontend::UI::UpdateTab::slot_show_version_status | ( | const SoftwareVersion & | version | ) |
| private slot

Parameters

  version |

References GpgFrontend::UI::SoftwareVersion::CurrentVersionReleased(), GpgFrontend::UI::SoftwareVersion::NeedUpgrade(), and GpgFrontend::UI::SoftwareVersion::VersionWithDrawn().

Referenced by getLatestVersion().

The documentation for this class was generated from the following files:

- src/ui/dialog/help/AboutDialog.h
- src/ui/dialog/help/AboutDialog.cpp